Dobja a Google az Android 4.0 támogatást

A jövőben a Google Play-szolgáltatások nem fognak frissülni az Ice Cream Sandwich-en.

Dobja a Google az Android 4.0 támogatást

A Google az Android jelentős fragmentáltsága miatt nagyon sokáig kénytelen támogatni a régebbi operációs rendszer kiadásokat, de egy bizonyos szint után már leáll. Az Android 2.3 és az Android 3.0 már hosszú ideje nem támogatott, most pedig arról számolhatunk be, hogy az Ice Cream Sandwich-re, illetve annak API-szintjeire sem fejleszt tovább a cég.Galéria megnyitása

Az Android legutóbbi disztribúciós statisztikája szerint az Android 4.0 operációs rendszer még mindig jelen van néhány aktív használatban levő eszközön, de már tényleg csak nagyon kicsi számú készüléken fut ez. A kimutatások szerint mindössze 0,3 százalékos az Ice Cream Sandwich részesedése a több mint 2 milliárd szerkezetet összefogó „tortából”, szóval kevés felhasználót érint a keresőóriás döntése. Az Android 4.0 alá a 14-és és a 15-ös API-szint tartozik, ezeknek a kiesét követően a Google Play-szolgáltatások esetében a 16-os API-szint jelenti majd a minimumot. Az ICS egyébként annak idején nagy jelentőséggel bírt, teljesen új grafikus felületet vezetett be, és sok lehetőséggel szolgált, a Google több mint 7 év után lépte meg a támogatásának a leállítását.

Mit éreznek majd a vállalat mostani döntéséből azok a felhasználók, akik még olyan mobilt vagy tabletet használnak, amin az Android 4.0 valamelyik verziója jelen? Nos, igazából a későbbiekben is hozzáférhetnek majd ezekről a gépezetekről a felhasználók a Google Play Áruházhoz és más szolgáltatásokhoz, viszont frissítésekben már nem érdemes reménykedni, így új funkciók sem jelennek már meg ezeken – legfeljebb valamilyen rendkívül súlyos biztonsági rés felfedezése esetén. Az utolsó szoftververzió valószínűleg a 14.7.99-es lesz a szóban forgó masinákra.

Galéria megnyitása
Samsung Galaxy Nexus - az első okostelefon, ami 2011-ben az Android 4.0-val debütált

A Google azt javasolja a partnerei számára, hogy kövessék a példáját, és az alkalmazásokon belül a minimális követelményt az Android 4.1 operációs rendszerben húzzák meg. Az API-szint emelése természetesen ezekben az esetekben sem jelenti azt, hogy a programok nem fognak majd futni a régebbi eszközökön, de a legfrissebb kiadásokat és így az újabb lehetőségeket már nem kapják meg a továbbiakban. Szóval az applikációknak az a verziója marad a korosodó mobilokon és táblagépeken, amiknél utoljára biztosított volt az Android 4.0 támogatás. Ugyan lehetne tovább vinni a 14-15 API-szinteket, de az újabb szoftverfejlesztő csomagok már a frissebb API-khoz fognak igazodni, ez pedig idővel hibákat, nem várt nehézségeket eredményezhet.

A fejlesztőknek még az is járható út lenne, hogy két különböző minimális API-szintet követő alkalmazást hoznak létre, hogy frissen tudják tartani a régebbi appokat is, és ezáltal képesek legyenek garantálni például a megfelelő biztonságot, de erre valószínűleg nem sok példát láthatunk majd, hiszen tényleg csak egy nagyon szűk réteget, hozzávetőlegesen 6-7 millió szerkezetet érint világszerte a támogatás megszűnése.

Neked ajánljuk

Kiemelt
-{{ product.discountDiff|formatPriceWithCode }}
{{ discountPercent(product) }}
Új
Teszteltük
{{ product.commentCount }}
{{ voucherAdditionalProduct.originalPrice|formatPrice }} Ft
Ajándékutalvány
0% THM
{{ product.displayName }}
nem elérhető
{{ product.originalPrice|formatPriceWithCode }}
{{ product.grossPrice|formatPriceWithCode }}
{{ product.grossPrice|formatPriceWithCode }}
{{ product.displayName }}

Tesztek

{{ i }}
{{ totalTranslation }}
Sorrend

Szólj hozzá!

A komment írásához előbb jelentkezz be!
{{ orderNumber }}
{{ showMoreLabelTranslation }}
A komment írásához előbb jelentkezz be!
Még nem érkeztek hozzászólások ehhez a cikkhez!
Még nem érkeztek hozzászólások ehhez a cikkhez!
Segíts másoknak, mondd el, mit gondolsz a cikkről.

Kapcsolódó cikkek

Magazin címlap